Bug 678553 - NetworkManager doesn't start successfully on bootup after upgrade from F14 -> F15
NetworkManager doesn't start successfully on bootup after upgrade from F14 ->...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
15
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
AcceptedBlocker
: Reopened
: 676545 696278 701868 (view as bug list)
Depends On:
Blocks: F15Beta/F15BetaBlocker
  Show dependency treegraph
 
Reported: 2011-02-18 07:02 EST by Robin Green
Modified: 2011-06-04 11:22 EDT (History)
17 users (show)

See Also:
Fixed In Version: NetworkManager-0.8.998-3.git20110419.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 12:29:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
echo yum.log |grep NetworkManager (1.44 KB, text/plain)
2011-04-14 02:56 EDT, Robin Lee
no flags Details

  None (edit)
Description Robin Green 2011-02-18 07:02:45 EST
Description of problem:
NetworkManager shows up as dead on every bootup if you upgrade from Fedora 14 using yum.

Version-Release number of selected component (if applicable):
NetworkManager-0.8.2-8.git20101117.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Upgrade from Fedora 14 to 15 using yum upgrade
2. Reboot
3. Login
  
Actual results:
No network manager available. The process appears to have died.

Expected results:
Auto connect to eth0.

Additional info:
Workaround: The command
service NetworkManager start
must be issued as root.
Comment 1 Dan Williams 2011-02-25 01:33:10 EST
I have no idea what's required; we need help from systemd people on this one.
Comment 2 Dan Williams 2011-02-25 01:54:34 EST
*** Bug 676545 has been marked as a duplicate of this bug. ***
Comment 3 Michal Schmidt 2011-02-25 08:11:32 EST
I wonder if the service is enabled. Please check:
systemctl is-enabled NetworkManager.service && echo yes || echo no

If it's not, does this fix it?:
systemctl enable NetworkManager.service

It looks like a %triggerun scriptlet is needed for NetworkManager, see http://fedoraproject.org/wiki/Systemd_Packaging_Draft#Scriptlets , the part beginning with "To facilitate upgrades from older packages carrying SysV scripts, use a snippet like the following: ..."
Comment 4 Robin Green 2011-02-26 04:00:08 EST
(In reply to comment #3)
> I wonder if the service is enabled. Please check:
> systemctl is-enabled NetworkManager.service && echo yes || echo no

No, it isn't.

> If it's not, does this fix it?:
> systemctl enable NetworkManager.service

Yes - thank you.
Comment 5 Lennart Poettering 2011-02-28 20:48:32 EST
(In reply to comment #3)
> I wonder if the service is enabled. Please check:
> systemctl is-enabled NetworkManager.service && echo yes || echo no
> 
> If it's not, does this fix it?:
> systemctl enable NetworkManager.service
> 
> It looks like a %triggerun scriptlet is needed for NetworkManager, see
> http://fedoraproject.org/wiki/Systemd_Packaging_Draft#Scriptlets , the part
> beginning with "To facilitate upgrades from older packages carrying SysV
> scripts, use a snippet like the following: ..."

The fragment actually exists, but is using triggerin instead of triggerun. I think fixing this should make upgrades work properly.
Comment 6 Lukáš Tinkl 2011-03-28 06:18:55 EDT
Same here, NM starts only after manually invoking:

systemctl start NetworkManager.service

FYI I upgraded from F14->F15
Comment 7 Adam Williamson 2011-03-28 11:46:54 EDT
For Beta consideration: criterion is "The installer must be able to successfully complete an upgrade installation from a clean, fully updated default installation of the previous stable Fedora release, either via preupgrade or by booting to the installer manually "

This bug report refers to a yum upgrade, but based on the cause of the issue, I expect it would happen after an installer-based upgrade also.
Comment 8 Fedora Update System 2011-03-28 17:12:01 EDT
NetworkManager-0.8.997-6.git20110328.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.997-6.git20110328.fc15
Comment 9 Fedora Update System 2011-03-28 23:32:16 EDT
Package NetworkManager-0.8.997-6.git20110328.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.997-6.git20110328.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.997-6.git20110328.fc15
then log in and leave karma (feedback).
Comment 10 Lukáš Tinkl 2011-03-30 05:56:11 EDT
Doesn't fix the issue for me:

** Message: applet now removed from the notification area

** (nm-applet:2129): WARNING **: get_all_cb: couldn't retrieve system settings properties: (32) Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details..

** (nm-applet:2129): WARNING **: fetch_connections_done: error fetching connections: (32) Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details..

** (nm-applet:2129): WARNING **: Failed to register as an agent: (32) Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
** Message: applet now embedded in the notification area
** Message: applet now removed from the notification area
Comment 11 Michal Schmidt 2011-03-30 07:54:42 EDT
Lukáš,
if you were already on 0.8.997-4 and upgraded to 0.8.997-6, then the conversion would not happen:
  %triggerun -- NetworkManager < 1:0.8.990
It's supposed to catch upgrades from F14 versions. 
You'll have to fix your system manually:
systemctl enable NetworkManager.service
Comment 12 Fedora Update System 2011-04-01 02:01:33 EDT
NetworkManager-0.8.997-8.git20110331.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.997-8.git20110331.fc15
Comment 13 Tim Flink 2011-04-01 13:12:11 EDT
Discussed during the 2011-04-01 blocker review meeting. Accepted as beta blocker, waiting for testing of fix.
Comment 14 Tim Flink 2011-04-01 15:59:38 EDT
(In reply to comment #13)
> Discussed during the 2011-04-01 blocker review meeting. Accepted as beta
> blocker, waiting for testing of fix.

Accepted as beta blocker since it hits the following criteria:

The installer must be able to successfully complete an upgrade installation from a clean, fully updated default installation (from any official install medium) of the previous stable Fedora release, either via preupgrade or by booting to the installer manually. The upgraded system must meet all release criteria

Fix has been submitted, need testing in order to evaluate this issue farther.
Comment 15 Fedora Update System 2011-04-05 01:24:28 EDT
NetworkManager-0.8.998-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.998-1.fc15
Comment 16 James Laska 2011-04-08 16:56:12 EDT
Just completed a preupgrade from F-14 (w/ updates) to F-15-Beta-RC1.  After upgrade, NetworkManager-0.8.998-2.git20110406.fc15 was installed (as expected since it's on RC1), systemctl status NetworkManager.service shows it is running.

Some issues observed...
 1) I had to manually enable graphical login (systemctl start prefdm.service).  The original installation had runlevel3 as the default in inittab.  I changed it to 5 prior to upgrade.  'systemctl status prefdm' shows inactive (dead).  This will be tracked as a different issue.  Starting prefdm manually works and starts the desktop.

 2) After logging into the desktop (virt guest, so fallback forced), I have a network connection ... but the nm-applet seems to take a loooong time before it stops spinning.  This doesn't appear to impact network connectivity at all.

 3) plymouth-start.service failed on boot-up after upgrade.  I'll look for this issue and file if needed

 4) The post-upgrade boot appears dog-slow in general ... no further insight into why at this time.

Summary ... it appears the reported issue no longer occurs.
Comment 17 Robin Lee 2011-04-12 13:30:11 EDT
I have NetworkManager-0.8.998-2.git20110406.fc15.i686 installed, NM still fails to start.
Comment 18 Robin Lee 2011-04-12 13:33:04 EDT
Running the NetworkManager command works, but starting NM through systemctl fails.
Comment 19 James Laska 2011-04-12 13:52:52 EDT
(In reply to comment #18)
> Running the NetworkManager command works, but starting NM through systemctl
> fails.

Can you provide more detail on the failure?  What command are you running, what is the command output?

Is NetworkManager enabled after your upgrade?
# systemctl is-enabled NetworkManager.service && echo yes || echo no

Also, note comment#11 which notes this is *only* covered for Fedora 14 -> Fedora 15 upgrades.  Anything else will be required to manually enabled NetworkManager.
Comment 20 Robin Lee 2011-04-12 14:17:48 EDT
(In reply to comment #19)
> (In reply to comment #18)
> Is NetworkManager enabled after your upgrade?
> # systemctl is-enabled NetworkManager.service && echo yes || echo no
> 
> Also, note comment#11 which notes this is *only* covered for Fedora 14 ->
> Fedora 15 upgrades.  Anything else will be required to manually enabled
> NetworkManager.
Sorry. I should have checked all previous comments. I ran 'systemctl enable NetworkManager.service' then NM works as expected.
Comment 21 James Laska 2011-04-12 14:31:02 EDT
(In reply to comment #20)
> (In reply to comment #19)
> > (In reply to comment #18)
> > Is NetworkManager enabled after your upgrade?
> > # systemctl is-enabled NetworkManager.service && echo yes || echo no
> > 
> > Also, note comment#11 which notes this is *only* covered for Fedora 14 ->
> > Fedora 15 upgrades.  Anything else will be required to manually enabled
> > NetworkManager.
> Sorry. I should have checked all previous comments. I ran 'systemctl enable
> NetworkManager.service' then NM works as expected.

No worries, can you also confirm 1) how you upgraded, and 2) what version of NetworkManager was installed prior to installing NetworkManager-0.8.998-2.git20110406.fc15.

If you performed an anaconda upgrade from F14->F15, you can examine the NM package upgraded to by running (as root) ...

# grep "NetworkManager-[0-9]" /root/upgrade.log

If it shows NetworkManager-0.8.998-2.git20110406.fc15, then we may need to explore further.

If you upgraded using 'yum' ... 'yum history info #' can tell you the old and upgraded NM versions
Comment 22 Robin Lee 2011-04-12 14:51:26 EDT
(In reply to comment #21)
> (In reply to comment #20)
> > (In reply to comment #19)
> > > (In reply to comment #18)
> > > Is NetworkManager enabled after your upgrade?
> > > # systemctl is-enabled NetworkManager.service && echo yes || echo no
> > > 
> > > Also, note comment#11 which notes this is *only* covered for Fedora 14 ->
> > > Fedora 15 upgrades.  Anything else will be required to manually enabled
> > > NetworkManager.
> > Sorry. I should have checked all previous comments. I ran 'systemctl enable
> > NetworkManager.service' then NM works as expected.
> 
> No worries, can you also confirm 1) how you upgraded, and 2) what version of
> NetworkManager was installed prior to installing
> NetworkManager-0.8.998-2.git20110406.fc15.
Upgrade from F14 to F15 with yum distribution-synchronization
Previous version is 0.8.3.998-2.fc14
Comment 23 James Laska 2011-04-13 12:33:41 EDT
(In reply to comment #22)
> Upgrade from F14 to F15 with yum distribution-synchronization
> Previous version is 0.8.3.998-2.fc14

Robin, we're trying to understand your failure case in more detail.  Can you please attach your yum.log.  This should help understand why the NetworkManager %trigger didn't work in your case.  Thanks!
Comment 24 Robin Lee 2011-04-14 02:56:27 EDT
Created attachment 491969 [details]
echo yum.log |grep NetworkManager
Comment 25 Adam Williamson 2011-04-14 11:23:19 EDT
Ah, so yes, this is what we suspected. Note that first - on April 12 - you got an upgrade to NetworkManager-0.8.997-4.git20110325.fc15.i686 ; this was probably the big F14-to-F15 upgrade. That version of NM does *not* have this fix. Then the next day, April 13, you got an upgrade to NetworkManager-0.8.998-2.git20110406.fc15.i686 . That version does have the fix, but the fix only works when you're upgrading direct from the F14 package, not from an earlier 'broken' F15 package; this is known and acceptable (as we don't require bugs like this to be fixed for the 'upgrade from unstable pre-release' case if it's difficult or impossible).

If you were to re-run the test and get an upgrade from F14 direct to NetworkManager-0.8.998-2.git20110406.fc15.i686 (or a later version), it should work, as it did in jlaska's testing.
Comment 26 James Laska 2011-04-14 11:39:24 EDT
Adam and Robin, thanks for the details and analysis!  Based on our understanding of Robin's feedback, and the tests I've run on this issue... I feel very comfortable moving this to CLOSED ERRATA.

https://admin.fedoraproject.org/updates/NetworkManager-0.8.998-2.git20110406.fc15

Please feel free to reopen this issue if the problem resurfaces
Comment 27 Fedora Update System 2011-04-15 17:44:06 EDT
NetworkManager-0.8.998-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2011-04-19 02:43:53 EDT
NetworkManager-0.8.998-3.git20110419.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.998-3.git20110419.fc15
Comment 29 Fedora Update System 2011-04-22 23:57:52 EDT
NetworkManager-0.8.998-3.git20110419.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Jirka Klimes 2011-05-05 13:46:51 EDT
*** Bug 701868 has been marked as a duplicate of this bug. ***
Comment 31 Tim Flink 2011-05-06 13:10:22 EDT
*** Bug 696278 has been marked as a duplicate of this bug. ***
Comment 32 Eric Sammons 2011-06-03 11:03:31 EDT
Problem persists NetworkManager-0.8.999-3.git20110526.fc15.i686


Jun  3 10:57:25 example NetworkManager[4057]: <info> NetworkManager (version 0.8.999-3.git20110526.fc15) is starting...
Jun  3 10:57:25 example NetworkManager[4057]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
Jun  3 10:57:25 example NetworkManager[4057]: <info> VPN: loaded org.freedesktop.NetworkManager.openconnect
Jun  3 10:57:25 example NetworkManager[4057]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
Jun  3 10:57:25 example NetworkManager[4057]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
Jun  3 10:57:25 example NetworkManager[4057]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
Jun  3 10:57:25 example NetworkManager[4057]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
Jun  3 10:57:25 example NetworkManager[4057]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Jun  3 10:57:25 example NetworkManager[4057]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Jun  3 10:57:25 example NetworkManager[4057]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ...
Jun  3 10:57:25 example NetworkManager[4057]: <warn> caught signal 11. Generating backtrace...
Jun  3 10:57:25 example NetworkManager: ******************* START **********************************
Jun  3 10:57:25 example NetworkManager: [Thread debugging using libthread_db enabled]
Jun  3 10:57:25 example NetworkManager: 0x00316416 in __kernel_vsyscall ()
Jun  3 10:57:25 example NetworkManager: #0  0x00316416 in __kernel_vsyscall ()
Jun  3 10:57:25 example NetworkManager: #1  0x435ad5f3 in __waitpid_nocancel () from /lib/libpthread.so.0
Jun  3 10:57:25 example NetworkManager: #2  0x080a4b65 in nm_logging_backtrace ()
Jun  3 10:57:25 example NetworkManager: #3  0x0808a21d in ?? ()
Jun  3 10:57:25 example NetworkManager: #4  <signal handler called>
Jun  3 10:57:25 example NetworkManager: #5  0x436830d2 in g_hash_table_iter_next () from /lib/libglib-2.0.so.0
Jun  3 10:57:25 example NetworkManager: #6  0x080d3340 in ?? ()
Jun  3 10:57:25 example NetworkManager: #7  0x080d4fd1 in nm_settings_connection_replace_settings ()
Jun  3 10:57:25 example NetworkManager: #8  0x00e26a67 in nm_ifcfg_connection_new () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
Jun  3 10:57:25 example NetworkManager: #9  0x00e24f14 in ?? () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
Jun  3 10:57:25 example NetworkManager: #10 0x00e2557e in ?? () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
Jun  3 10:57:25 example NetworkManager: #11 0x00e25796 in ?? () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
Jun  3 10:57:25 example NetworkManager: #12 0x080d2e50 in nm_system_config_interface_get_unmanaged_specs ()
Jun  3 10:57:25 example NetworkManager: #13 0x080cf470 in ?? ()
Jun  3 10:57:25 example NetworkManager: #14 0x080d2158 in nm_settings_new ()
Jun  3 10:57:25 example NetworkManager: #15 0x08060e14 in main ()
Jun  3 10:57:25 example NetworkManager:
Jun  3 10:57:25 example NetworkManager: Thread 1 (Thread 0xb7725750 (LWP 4057)):
Jun  3 10:57:25 example NetworkManager: #0  0x00316416 in __kernel_vsyscall ()
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #1  0x435ad5f3 in __waitpid_nocancel () from /lib/libpthread.so.0  
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #2  0x080a4b65 in nm_logging_backtrace ()
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #3  0x0808a21d in ?? ()
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #4  <signal handler called>

Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #5  0x436830d2 in g_hash_table_iter_next () from /lib/libglib-2.0.so.0
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #6  0x080d3340 in ?? ()
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #7  0x080d4fd1 in nm_settings_connection_replace_settings ()
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #8  0x00e26a67 in nm_ifcfg_connection_new () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #9  0x00e24f14 in ?? () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #10 0x00e2557e in ?? () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #11 0x00e25796 in ?? () from /usr/lib/NetworkManager/libnm-settings-plugin-ifcfg-rh.so
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #12 0x080d2e50 in nm_system_config_interface_get_unmanaged_specs ()
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #13 0x080cf470 in ?? ()
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #14 0x080d2158 in nm_settings_new ()
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: #15 0x08060e14 in main ()
Jun  3 10:57:25 example NetworkManager: No symbol table info available.
Jun  3 10:57:25 example NetworkManager: A debugging session is active.
Jun  3 10:57:25 example NetworkManager:
Jun  3 10:57:25 example NetworkManager: #011Inferior 1 [process 4057] will be detached.
Jun  3 10:57:25 example NetworkManager:
Jun  3 10:57:25 example NetworkManager: Quit anyway? (y or n) [answered Y; input not from terminal]
Jun  3 10:57:25 example NetworkManager: ******************* END **********************************
Comment 33 Michal Schmidt 2011-06-03 11:16:19 EDT
Eric,
that's a different problem. It's obviously a crash. I suggest you file a new bug.
BTW, private Bugzilla comments are frowned upon in Fedora bugs.
Comment 34 Michal Schmidt 2011-06-03 12:29:20 EDT
Eric, you're seeing bug 708445.
Comment 35 Adam Williamson 2011-06-04 11:22:17 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.